Subject: Re: Build issue with linux next. duplicate member _count in mm_types.h

From: Pekka Enberg <[email-masked]>
Date: Thu, 07 Jul 2011 22:07:50 +0300

On Thu, 2011-07-07 at 15:48 +0200, Piotr Hosowicz wrote:
> On 07.07.2011 15:42, Christoph Lameter wrote:
> > On Thu, 7 Jul 2011, Piotr Hosowicz wrote:
> >
> >> On 06.07.2011 16:46, Christoph Lameter wrote:
> >>> On Wed, 6 Jul 2011, Jonathan Cameron wrote:
> >>>
> >>>> Getting:
> >>>>
> >>>>     CHK     include/linux/version.h
> >>>>     CHK     include/generated/utsrelease.h
> >>>> make[1]: `include/generated/mach-types.h' is up to date.
> >>>>     CC      arch/arm/kernel/asm-offsets.s
> >>>> In file included from include/linux/sched.h:64:0,
> >>>>                    from arch/arm/kernel/asm-offsets.c:13:
> >>>> include/linux/mm_types.h:74:15: error: duplicate member '_count'
> >>>> make[1]: *** [arch/arm/kernel/asm-offsets.s] Error 1
> >>>> make: *** [prepare0] Error 2
> >>
> >> I have the same error on x86_64. I'll try again withj your patch.
> >
> > Could you post a config file?
> 
> I attach it. Your patch seems to had worked, I finish making the package.

I'm confused. Does Christoph's patch fix the problem for everyone?

			Pekka